ディスプレイ&ビデオ 360 API と構造化データファイルに関するご意見やフィードバックをお寄せいただくには、
Google 広告および測定のコミュニティ サーバーの公式ディスプレイ&ビデオ 360 API と構造化データファイル Discord チャンネルにご参加ください。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: inventorySources.patch
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
既存の広告枠ソースを更新します。成功した場合は、更新された広告枠ソースを返します。
HTTP リクエスト
PATCH https://displayvideo.googleapis.com/v4/inventorySources/{inventorySource.inventorySourceId}
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
inventorySource.inventorySourceId |
string (int64 format)
出力専用。広告枠ソースの一意の ID。システムによって割り当てられます。
|
クエリ パラメータ
| パラメータ |
updateMask |
string (FieldMask format)
必須。どのフィールドを更新するかを制御するマスク。 完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。
|
結合パラメータ accessor。必須。 リクエストがどの DV360 エンティティ内で行われたかを識別します。accessor は次のいずれかになります。 |
partnerId |
string (int64 format)
リクエストが送信されているパートナーの ID。
|
advertiserId |
string (int64 format)
リクエストが送信されている広告主の ID。
|
リクエストの本文
リクエストの本文には InventorySource のインスタンスが含まれます。
レスポンスの本文
成功した場合、レスポンスの本文には InventorySource のインスタンスが含まれます。
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/display-video
詳細については、OAuth 2.0 Overview をご覧ください。
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2025-07-25 UTC。
[null,null,["最終更新日 2025-07-25 UTC。"],[],["The Display & Video 360 API v4 (beta) updates an existing inventory source using a PATCH request. The request URL includes the `inventorySourceId` as a path parameter. It requires the `updateMask` to specify fields for updating, and an `accessor` (either `partnerId` or `advertiserId`). The request body contains `InventorySource` data and if the operation succeeds, the API returns the updated `InventorySource` in the response. Authorization needs the `display-video` OAuth scope.\n"]]